NetworkUtils (Axis API)
Keywords: org.apache.axis.utils.NetworkUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class NetworkUtils

    java.lang.Object
      org.apache.axis.utils.NetworkUtils

public class NetworkUtils
extends java.lang.Object

Utility classes for networking created 13-May-2004 16:17:51

Field Summary
`static java.lang.String` | `LOCALHOST` what we return when we cannot determine our hostname.
`static java.lang.String` | `LOCALHOST_IPV6` loopback address in IPV6
`protected static org.apache.commons.logging.Log` | `log`

Method Summary
`static java.lang.String` | `getLocalHostname()` Get the string defining the hostname of the system, as taken from the default network adapter of the system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCALHOST

    public static final java.lang.String LOCALHOST

  what we return when we cannot determine our hostname. We use this rather than 'localhost' as if DNS is very confused, localhost can map to different machines than "self".

  See Also:
    Constant Field Values

### LOCALHOST_IPV6

    public static final java.lang.String LOCALHOST_IPV6

  loopback address in IPV6

  See Also:
    Constant Field Values

### log

    protected static org.apache.commons.logging.Log log

Method Detail

### getLocalHostname

    public static java.lang.String getLocalHostname()

  Get the string defining the hostname of the system, as taken from the default network adapter of the system. There is no guarantee that this will be fully qualified, or that it is the hostname used by external machines to access the server. If we cannot determine the name, then we return the default hostname, which is defined by `LOCALHOST`

  Returns:
    a string name of the host.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.